### Method

# GLib Tree replace

#### Declaration

    void
    g_tree_replace (
      GTree* tree,
      gpointer key,
      gpointer value
    )

#### Description

Inserts a new key and value into a `GTree` as `g_tree_replace_node()` does, only this function does not return the inserted or set node.

#### Parameters

`key`

  Type: `gpointer`

  The key to insert.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`value`

  Type: `gpointer`

  The value corresponding to the key.

  The argument can be `NULL`.
  The data is owned by the caller of the method.